[GET] ~/uiconfig/searchform

Gets the searchform.

Request Information

URI Parameters

None.

Body Parameters

None.

Request Formats

None.

Response Information

Resource Description

The searchform.

An instance of: SearchFormConfiguration
NameDescriptionType
FixedManufacturers

Collection of integer

FixedManufacturersModelGroupTypes

Collection of ModelGroupType

ManufacturersWithModelGroups

Collection of integer

ManufacturersWithSeries

Collection of integer

NavBarBehavior

NavBarBehavior

Response Formats

application/json, text/json

Sample:
{
  "fixedManufacturers": [
    1,
    2
  ],
  "fixedManufacturersModelGroupTypes": [
    "PKW",
    "PKW"
  ],
  "manufacturersWithModelGroups": [
    1,
    2
  ],
  "manufacturersWithSeries": [
    1,
    2
  ],
  "navBarBehavior": "Hidden"
}